> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Webhooks



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/workflow-webhooks
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/workflow-webhooks:
    get:
      tags:
        - Workflow Webhooks
      summary: List Workflow Webhooks
      operationId: workflow_service_list_workflow_webhooks_v1_workflow_webhooks_get
      parameters:
        - name: enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Enabled
        - name: action
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WorkflowWebhookAction'
              - type: 'null'
            title: Action
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Number of items per page
            default: 300
            title: Size
          description: Number of items per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search keywords
            title: Search
          description: Search keywords
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by start time (ISO 8601 format)
            title: Start
          description: Filter by start time (ISO 8601 format)
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by end time (ISO 8601 format)
            title: End
          description: Filter by end time (ISO 8601 format)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowWebhookListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    WorkflowWebhookAction:
      type: string
      enum:
        - workflow_created
        - workflow_updated
        - workflow_deleted
        - workflow_run_started
        - workflow_run_completed
      title: WorkflowWebhookAction
    WorkflowWebhookListResponse:
      properties:
        webhooks:
          items:
            $ref: '#/components/schemas/WorkflowWebhookResponse'
          type: array
          title: Webhooks
        total:
          type: integer
          title: Total
      type: object
      required:
        - webhooks
        - total
      title: WorkflowWebhookListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowWebhookResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
        actions:
          items:
            $ref: '#/components/schemas/WorkflowWebhookAction'
          type: array
          title: Actions
        enabled:
          type: boolean
          title: Enabled
        has_bearer_token:
          type: boolean
          title: Has Bearer Token
        timeout_seconds:
          type: integer
          title: Timeout Seconds
        max_retries:
          type: integer
          title: Max Retries
        retry_backoff_seconds:
          type: integer
          title: Retry Backoff Seconds
      type: object
      required:
        - id
        - name
        - url
        - actions
        - enabled
        - has_bearer_token
        - timeout_seconds
        - max_retries
        - retry_backoff_seconds
      title: WorkflowWebhookResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````